import request from '@/request/index.js'

// 获取key
export function getKey(params, boolean){
	return request.get('/xcx/api/mobile/getappid', params, boolean)
}

// 获取密钥code
export function getCode(params, boolean){
	return request.get('/xcx/m/api/code', params, boolean)
}

// 登录
export function login(params){
	return request.get('/xcx/api/mobile/login', params)
}

// 获取验证码
export function sendCode(params, boolean){
	return request.post('/xcx/api/mobile/code', params, boolean)
}

// 解析手机号
export function getMobile(params, boolean){
	return request.get('/xcx/api/mobile/getdatainfo', params, boolean)
}

// 解析手机号
export function bindMobile(params, boolean){
	return request.get('/xcx/api/mobile/register', params, boolean)
}

// 获取上周 本周 下周排班 模式
export function getSchedule(params, boolean){
	return request.get('/xcx/api/mobile/schedule', params, boolean)
}

// 获取电子病历
export function getRecord(params, boolean){
	return request.get('/xcx/api/mobile/getpatientinfo', params, boolean)
}

// 获取机构
export function getOrg(params, boolean){
	return request.get('/xcx/api/mobile/getorginfo', params, boolean)
}

// 获取透析记录
export function getDialysisRecord(params, boolean){
	return request.get('/xcx/api/mobile/dialysis', params, boolean)
}

// 获取医嘱
export function getAdvice(params, boolean){
	return request.get('/xcx/api/mobile/getdoctoradvice', params, boolean)
}

// 获取宣教信息
export function getEducation(params, boolean){
	return request.get('/xcx/api/mobile/geteducation', params, boolean)
}

// 获取机构人员
export function getDoctor(params, boolean){
	return request.get('/xcx/api/mobile/getdoctorname', params, boolean)
}

// 获取显示配置
export function getFieldConfig(params, boolean){
	return request.get('/xcx/api/moible/getfieldconfig', params, boolean)
}

// 获取数据字典数据
export function getDataConfig(params, boolean){
	return request.get('/xcx/api/mobile/getdataconfig', params, boolean)
}

// 获取检验检查
export function getInspection(params, boolean){
	return request.get('/xcx/api/mobile/getinspectionlist', params, boolean)
}

// 获取检验检查详情
export function getInspectioninfo(params, boolean){
	return request.get('/xcx/api/mobile/getinspectioninfo', params, boolean)
}

// 获取精选故事
export function getStoryScore(params, boolean){
	return request.get('/xcx/api/mobile/getstoryscore', params, boolean)
}

// 获取肾友杯列表
export function getArticList(params, boolean){
	return request.get('/xcx/api/mobile/getarticlist', params, boolean)
}

// 获取肾友杯列表详情
export function getArticListDetail(params, boolean){
	return request.get('/xcx/api/mobile/getarticlistdetail', params, boolean)
}

// 获取用户体重信息
export function getweight(start,end,patient_id,org_id){
	return request.get('/xcx/api/mobile/signweight', start,end,patient_id,org_id)
}

// 获取血压体重信息
export function getbloods(start,end,patient_id,org_id){
	return request.get('/xcx/api/mobile/signblood', start,end,patient_id,org_id)
}

// 获取预交金信息
export function getgetbalance(patient_id,org_id){
	return request.get('/xcx/api/mobile/getbalance', patient_id,org_id)
}

// 获取预交金流水信息
export function getgetbalanceinfo(start,end,patient_id,org_id){
	return request.get('/xcx/api/mobile/getbalanceinfo', start,end,patient_id,org_id)
}